using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities
{
    public partial class FmsEquipmentCodeStateType
    {
        public FmsEquipmentCodeStateType()
        {
            FmsEquipmentHistory = new HashSet<FmsEquipmentHistory>();
            FmsEquipmentRentInfo = new HashSet<FmsEquipmentRentInfo>();
        }

        [Key]
        public short EquipmentStateTypeId { get; set; }
        [Required]
        [StringLength(24)]
        public string Name { get; set; }
        [StringLength(1024)]
        public string Comment { get; set; }

        [InverseProperty("EquipmentStateType")]
        public virtual ICollection<FmsEquipmentHistory> FmsEquipmentHistory { get; set; }
        [InverseProperty("EquipmentStateType")]
        public virtual ICollection<FmsEquipmentRentInfo> FmsEquipmentRentInfo { get; set; }
    }
}
